<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    Section
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !isset($_SESSION[QT]['m_rss']) ) die($L['E_access']);

$arrConf = explode(' ',$_SESSION[QT]['m_rss_conf']);
$strUser = $arrConf[0];
$strForm = $arrConf[1];
$strSize = $arrConf[2];

if ( $strUser=='V' ) { $str='MUV'; } else { $str='MU'; }
if ( !$oVIP->CanAccess($str) ) die($L['E_access']);

// INITIALISE

include(Translate('qtfm_rss.inc'));

$oVIP->selfurl = 'qtfm_rss.php';
$oVIP->selfname = $L['rss']['Rss'];

$oSEC = new cSection();
$strRssUrl = $_SESSION[QT]['site_url'].'/rss';
if ( !isset($strModuleHead) ) $strModuleHead = '';

if ( isset($_GET['v']) )
{
  // check new version
  if ( $_GET['v']!='091' && $_GET['v']!='2' && $_GET['v']!='atom') die('Wrong xml version');
  // register new version
  $strForm = $_GET['v'];
}

$arrSections = GetSectionTitles($oVIP->role);
$intN=0;
$strHeaderAddScript = '';
foreach ($arrSections as $intSecid => $strSectitle)
{
  $intN++;
  $oSEC = new cSection($intSecid);
  if ($oSEC->type==2) continue;
  $strHeaderAddScript .= '<link rel="alternate" type="application/rss+xml" title="'.QTconv($strSectitle,'1').'" href="'.$strRssUrl.'/qtf_'.$strForm.'_'.$intSecid.'.xml"/>'.N;
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qtf_p_header.php');

  // END IF NO DOMAIN
  if (count($_SESSION['qtfDom'])==0)
  {
  echo '<h2>',$oVIP->selfname,'</h2>',N;
  echo '<p>',$L['rss']['E_noforum'],'</p>';
  include('qtf_p_footer.php');
  exit;
  }

// TITLE & version
$str = '2.0';
if ( $strForm=='091' ) $str='0.91';
if ( $strForm=='atom' ) $str='Atom 1.0';

echo '
<table class="ta_hidden" cellspacing="0">
<tr class="tr_hidden">
<td class="td_hidden">
<h2>',$oVIP->selfname,'</h2>
<p>RSS ',$str,'</p>
</td>
<td class="td_hidden" style="text-align:right;">
<form action="',$oVIP->selfurl,'" method="get">
<p>',$L['rss']['Change_format'],' <select name="v" size="1">
<option value="091"',($strForm=='091' ? QSEL : ''),'>RSS 0.91</option>
<option value="2"',($strForm=='2' ? QSEL : ''),'>RSS 2.0</option>
<option value="atom"',($strForm=='atom' ? QSEL : ''),'>Atom 1.0</option>
</select>
<input type="submit" value="',$L['Ok'],'"/></p>
</form>
</td>
</tr>
</table>
';

// DISPLAY
$intDom = 0;

foreach ($_SESSION['qtfDom'] as $intDomid => $strDomtitle)
{

  $intDom++;
  $arrSections = GetSectionTitles($oVIP->role,$intDomid);

  echo '<!-- domain ',$intDomid,': ',$strDomtitle,' -->';
  echo '<table class="ta" cellspacing="0">';
  echo '<colgroup span="3"><col width="35"></col><col></col><col width="400"></col></colgroup>';
  echo '<tr>';
  echo '<th class="th_s th_s_ico th_s_first">&nbsp;</th>';
  echo '<th class="th_s th_s_tit">',$strDomtitle,'</th>';
  echo '<th class="th_s th_s_inf th_s_last">',$L['rss']['Url'],'</th>';
  echo '</tr>';

  // SHOW FORUMS

  $i=0;
  $alt='1';

  foreach ($arrSections as $intSecid => $strSectitle)
  {
    $i++;
    $oSEC = new cSection($intSecid);
    if ($oSEC->type=='2') continue;
    echo '<tr class="tr_t">';
    echo '<td class="td_s td_s_ico',$alt,'">'.AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSEC->type.'_'.$oSEC->status.'.gif','F',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico ico_status').'</td>';
    echo '<td class="td_s td_s_tit',$alt,'"><a class="a_section" href="qtf_topics.php?s=',$oSEC->id,'">',$oSEC->name,'</a><br/><span class="p_sectiondescr">',$oSEC->descr,'</span></td>';
    echo '<td class="td_s td_s_inf',$alt,'">';
    echo '<input class="small" type="text" size="60" value="',$strRssUrl,'/qtf_',$strForm,'_',$intSecid,'.xml"/><br/>';
    echo '<a href="http://www.google.com/ig/add?feedurl=',$strRssUrl,'/qtf_2_',$intSecid,'.xml"><img src="admin/rss_google.gif" width="104" height="17" style="vertical-align:bottom;border-width:0" alt="add to Google" title="add to Google"/></a>&nbsp;';
    echo '<a href="http://add.my.yahoo.com/content?url=',$strRssUrl,'/qtf_2_',$intSecid,'.xml"><img src="admin/rss_yahoo.gif" width="91" height="17" style="vertical-align:bottom;border-width:0" alt="add to my Yahoo" title="add to my Yahoo"/></a>&nbsp;';
    echo '<a href="',$strRssUrl,'/qtf_',$strForm,'_',$intSecid,'.xml"><img src="admin/rss.gif" width="34" height="14" style="vertical-align:bottom;border-width:0" alt="rss" title="syndication"/></a>&nbsp;';
    echo '</td>';
    echo '</tr>';
    if ( $alt=='1' ) { $alt='2'; } else { $alt='1'; }
  }

  // no data
  if ($i==0) echo '<tr><td class="td_s td_s_tit',$alt,'" colspan="5">0 ',$L['Section'],'...</td></tr>';

  echo '<tr>';
  echo '<th class="tf_s tf_s_first"></th>';
  echo '<th class="tf_s"></th>';
  echo '<th class="tf_s tf_s_last"></th>';
  echo '</tr>';
  echo '</table>';
  if ( $intDom<count($_SESSION['qtfDom']) ) echo '<!-- domain separator -->',N,'<div class="div_dom_separator"></div>',N;

}

// HTML END

if (isset($oSEC)) unset($oSEC);
include('qtf_p_footer.php');

?>